# Class NamedObject

java.lang.Object
com.lightdev.app.shtm.NamedObject

public class NamedObject extends Object
Utility Class for displaying local object names in GUI components.

## Constructor Summary

Constructors
Constructor
Description
`NamedObject(Object object, String name)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Object`
`getObject()`
`static NamedObject`
`literal(String literal)`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NamedObject

public NamedObject(Object object, String name)

## Method Details

### literal

public static NamedObject literal(String literal)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getObject

public Object getObject()